@echo off
if "%OS%" == "Windows_NT" setlocal
setlocal EnableDelayedExpansion

rem Compiles soafaces GWT UI

if "%JOBSERVER_HOME%" == "" goto guessIt
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set dumby=""
rem Even though it is set and not correct try to guess
:guessIt
set JOBSERVER_HOME=.
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
rem Try to guess what JOBSERVER_HOME is
set JOBSERVER_HOME=..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set JOBSERVER_HOME=..\..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
echo  The JOBSERVER_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto  end

:okHome
cd /D "%JOBSERVER_HOME%"
set JOBSERVER_HOME=%CD%

call "%JOBSERVER_HOME%\conf\system-config.bat"

set TB_NAME=%1
set TB_CLASS_NAME=%2
set TB_UNIQ_DIR=%3

set TB_OUT=%JOBSERVER_HOME%\sys\app\webapps\jobserver\www-gwt\%TB_NAME%\www-dynamic\%TB_CLASS_NAME%

set CAT_VAR= 
rem set BASE_DIR=%JOBSERVER_HOME%\sys\lib\gwt
rem cd "%BASE_DIR%"
FOR %%f IN (sys\lib\gwt\soafaces-bundle-client-*.jar) DO call "%JOBSERVER_HOME%\bin\toolbin\parsecmd.bat" %%f
set SOAFACES_BUNDLE_CLIENT_JAR=%CAT_VAR%

set CAT_VAR= 
rem set BASE_DIR=%JOBSERVER_HOME%\sys\lib\gwt
rem cd "%BASE_DIR%"
FOR %%f IN (sys\lib\gwt\soafaces-services-client-*.jar) DO call "%JOBSERVER_HOME%\bin\toolbin\parsecmd.bat" %%f
set SOAFACES_SERVICES_CLIENT_JAR=%CAT_VAR%

rmdir /S /Q "%TB_OUT%"

set BASE_TB_DIR=%JOBSERVER_HOME%\soafaces\%TB_NAME%

set CAT_VAR= 
rem set BASE_DIR=%JOBSERVER_HOME%\common-lib\gwt
rem cd "%BASE_DIR%"
FOR %%f IN (common-lib\gwt\*.jar) DO call "%JOBSERVER_HOME%\bin\toolbin\parsecmd.bat" %%f
set COMMON_GWT_LIB=%CAT_VAR%

set CAT_VAR= 
rem set BASE_DIR=%JOBSERVER_HOME%\sys\lib\gwt
rem cd "%BASE_DIR%"
FOR %%f IN (sys\lib\gwt\gwt-dev-*.jar sys\lib\gwt\gwt-user*.jar) DO call "%JOBSERVER_HOME%\bin\toolbin\parsecmd.bat" %%f
set GWT_LIB=%CAT_VAR%

set CAT_VAR= 
rem set BASE_DIR=%JOBSERVER_HOME%\sys\lib\jsthird
rem cd "%BASE_DIR%"
FOR %%f IN (sys\lib\jsthird\ant-*.jar) DO call "%JOBSERVER_HOME%\bin\toolbin\parsecmd.bat" %%f
set GWT_LIB=%GWT_LIB%;%CAT_VAR%

set CAT_VAR= 
rem set BASE_DIR=%BASE_TB_DIR%\lib
rem cd "%BASE_DIR%"
FOR %%f IN (soafaces\%TB_NAME%\lib\*.jar) DO call "%JOBSERVER_HOME%\bin\toolbin\parsecmd.bat" %%f
set TB_LIB=%CAT_VAR%
set TB_LIB=soafaces\%TB_NAME%\classes;%TB_LIB%;%COMMON_GWT_LIB%

set TMP_OUT_DIR=%JOBSERVER_HOME%\sys\app\webapps\jobserver\tmp-gwt\%TB_UNIQ_DIR%
if not exist "%TMP_OUT_DIR%" call mkdir "%TMP_OUT_DIR%"

set OUT_DIR=%JOBSERVER_HOME%\sys\app\webapps\jobserver\www-gwt\%TB_NAME%\www-dynamic\.
set CLASSPATH=%SOAFACES_BUNDLE_CLIENT_JAR%;%SOAFACES_SERVICES_CLIENT_JAR%;
set CLASSPATH=%CLASSPATH%;%TB_LIB%;%GWT_LIB%

"%JAVA_HOME%\bin\java.exe" %gwtCompilerJvmOptions% -cp "%CLASSPATH%" com.google.gwt.dev.Compiler -localWorkers %gwtCompilerThreads% -logLevel %gwtLogLevel% -war "%TMP_OUT_DIR%" %TB_CLASS_NAME%

set ENVCHECK=%ERRORLEVEL%

if not exist "%OUT_DIR%" call mkdir "%OUT_DIR%"
if exist "%OUT_DIR%\%TB_CLASS_NAME%" rmdir /S /Q "%OUT_DIR%\%TB_CLASS_NAME%"

if exist "%TMP_OUT_DIR%\%TB_CLASS_NAME%" "%JOBSERVER_HOME%\bin\toolbin\mvdir" "%TMP_OUT_DIR%\%TB_CLASS_NAME%" "%OUT_DIR%\%TB_CLASS_NAME%"

rmdir /S /Q "%TMP_OUT_DIR%"

exit %ENVCHECK%
:end

exit 0
