/* JobServer 3.2.0 sql for PostgreSQL database */

CREATE TABLE js_systeminfo
(
 stInstanceDisplayName varchar(64),
 stSystemSyncTag char(32),
 dtSystemSyncTagCreate timestamp,
 dtSystemSyncTagUpdate timestamp
 );

INSERT INTO js_systeminfo VALUES ('give_me_a_name',NULL,CURRENT_TIME,CURRENT_TIME);

ALTER TABLE js_persqueue MODIFY (stname varchar(128));

ALTER TABLE js_opstatus MODIFY (sttaskname varchar(128) not null);

ALTER TABLE js_wbstatus MODIFY (stuser varchar(32));

ALTER TABLE js_depend MODIFY (stname varchar(64) not null);

ALTER TABLE js_taudit MODIFY (stKey varchar(128), stDetail varchar(255));

ALTER TABLE js_job MODIFY (stdepend1 varchar(64), stdepend2 varchar(64), stdepend3 varchar(64));

ALTER TABLE js_res_grp ADD CONSTRAINT js_res_grp_unq UNIQUE (stname);

ALTER TABLE js_jobgroup ADD CONSTRAINT js_jobgroup_unq UNIQUE (stname);

ALTER TABLE js_node ADD CONSTRAINT js_node_unq UNIQUE (sthostname);